Bug 53291 - syntax check for initscript would be useful.
Summary: syntax check for initscript would be useful.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 7.3
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-06 02:00 UTC by Emmanuel Galanos
Modified: 2007-03-27 03:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 10:08:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Emmanuel Galanos 2001-09-06 02:00:18 UTC
Description of Problem:

The following fragment of code would allow someone
to check changes before doing a reload and possibly 
taking apache off line.


syntax)
        echo -n "Checking httpd syntax: "
        module_args=`moduleargs`
        echo "Running ${httpd} -t $module_args"
        error=`${httpd} -t $moduleargs 2>&1`
        RETVAL=$?
        if [ $RETVAL = 0 ]
        then
                echo "Syntax ok"
        else
                echo "Syntax error:"
                echo $error
        fi
        ;;

Version-Release number of selected component (if applicable):

apache-1.3.20-15

Comment 1 Joe Orton 2004-09-21 10:08:56 UTC
Thanks for the report.  This bug is no longer present in the Apache
httpd 2.0 packages in Red Hat Enterprise Linux and Fedora Core.

"service httpd configtest"



Note You need to log in before you can comment on or make changes to this bug.